%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         libtestername %mklibname %{name}-tester %{major}
%define         develname     %mklibname %{name} -d

Name:           bctoolbox
Version:        4.4.21
Release:        %mkrel 1
Summary:        Utility library for software from Belledonne Communications
License:        GPLv2+
Group:          Development/C++
Url:            https://linphone.org
Source0:        https://github.com/BelledonneCommunications/bctoolbox/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:         bctoolbox-opensuse-fix-pkgconfig.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  bcunit-devel
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

%package -n     %{develname}
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:       %{libtestername} = %{version}
Requires:       pkgconfig(zlib)
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Utilities library used by Belledonne Communications softwares like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n %{libname}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n %{libtestername}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name}-tester = %{version}-%{release}

%description -n %{libtestername}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
%apply_patches

# Fix version
sed -i -e '/bctoolbox/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_STATIC:BOOL=NO \
  -DMBEDTLS_V2:BOOL=YES
%cmake_build

%install
%cmake_install


%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{libtestername}
%{_libdir}/lib%{name}-tester.so.%{major}*

%files -n %{develname}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
